qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ken Giusti (JIRA)" <qpid-...@incubator.apache.org>
Subject [jira] Updated: (QPID-1899) --require-encryption doesn't work unless cyrus sasl authentication is turned on
Date Mon, 05 Oct 2009 13:13:31 GMT

     [ https://issues.apache.org/jira/browse/QPID-1899?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Ken Giusti updated QPID-1899:
-----------------------------

    Attachment: qpid-1899.patch

Patch that associates the encryption key length with the given connection.   Supports extracting
key length from underlying transport.

Doesn't address clustered links (just yet) - wanted to get feedback on this approach before
going further...

> --require-encryption doesn't work unless cyrus sasl authentication is turned on
> -------------------------------------------------------------------------------
>
>                 Key: QPID-1899
>                 URL: https://issues.apache.org/jira/browse/QPID-1899
>             Project: Qpid
>          Issue Type: Bug
>          Components: C++ Broker
>    Affects Versions: 0.5
>            Reporter: Gordon Sim
>            Assignee: Gordon Sim
>             Fix For: 0.6
>
>         Attachments: qpid-1899-9-17.patch, qpid-1899-hacky.patch, qpid-1899.patch
>
>
> If you specify --require-encryption and --auth no then the broker will allow un-encrypted
conections. (If on the other hand you have authentication on, it will prevent you connecting
with anything other than a mech that supports encryption and will require an encrypting sasl
security layer - or of course an ssl connection)

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:dev-subscribe@qpid.apache.org


Mime
View raw message